﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Item> items = new ObservableCollection<Item>()
            {
                new Item("item1"), 
                new Item("item2"), 
                new Item("item3"), 
                new Item("item4"), 
                new Item("item5"), 
                new Item("item6")
            };

            this.DataContext = items;
        }

        private void dataGrid2_Loaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 30; ++i)
            {
                (sender as XamDataGrid).FieldLayouts[0].Fields.Add(new Field("newField" + i, typeof(string)));
            }
        }
    }

    public class Item
    {
        public string Name { get; set; }

        public Item(string name)
        {
            this.Name = name;
        }
    }
}
